after?: string

Query param: An item ID to list items after, used in pagination.

include?: Array<BetaResponseIncludable>

Query param: Additional fields to include in the response. See the include parameter for Response creation above for more information.

One of the following:
"file_search_call.results"
"web_search_call.results"
"web_search_call.action.sources"
"message.input_image.image_url"
"computer_call_output.output.image_url"
"code_interpreter_call.outputs"
"reasoning.encrypted_content"
"message.output_text.logprobs"
limit?: number

Query param: A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.

order?: "asc" | "desc"

Query param: The order to return the input items in. Default is desc.

  • asc: Return the input items in ascending order.
  • desc: Return the input items in descending order.
One of the following:
"asc"
"desc"
betas?: Array<"responses_multi_agent=v1">

Header param: Optional beta features to enable for this request.